Bug 1076815

Summary: cal3d bundles tinyxml
Product: [Fedora] Fedora Reporter: Ville Skytt√§ <ville.skytta>
Component: cal3dAssignee: Orphan Owner <extras-orphan>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: i
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-19 07:09:18 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 504493    

Description Ville Skyttä 2014-03-15 06:41:36 EDT
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
https://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries

cal3d is using a bundled copy of tinyxml.

$ rpm -qlp http://kojipkgs.fedoraproject.org//packages/cal3d/0.11.0/15.fc20/x86_64/cal3d-debuginfo-0.11.0-15.fc20.x86_64.rpm | grep tiny
/usr/src/debug/cal3d-0.11.0/src/cal3d/tinyxml.cpp
/usr/src/debug/cal3d-0.11.0/src/cal3d/tinyxml.h
/usr/src/debug/cal3d-0.11.0/src/cal3d/tinyxmlerror.cpp
/usr/src/debug/cal3d-0.11.0/src/cal3d/tinyxmlparser.cpp
Comment 1 Jaroslav Reznik 2015-03-03 10:35:13 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 2 Fedora Admin XMLRPC Client 2016-02-26 12:36:29 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2016-07-19 07:09:18 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.